PROGRAM MAIN
  IMPLICIT NONE
  REAL*8::x00,y00,x0,y0,xn,yn,sum,nwn,K2,phi
  INTEGER::i,n,color,nic,j
  REAL*8, PARAMETER:: pi=4.0*ATAN(1.0),K1=0.05
  INTEGER, PARAMETER:: nfinal=1E4, m1=1, m2=5
  !------------------------------------------------------------------
  !------------------------------------------------------------------
  phi=pi/2.0
  DO j=1,3
     IF(j.EQ.1) THEN
        K2=0.04; nic=11
        OPEN(1,FILE='IC_b3.dat', STATUS='OLD')
        OPEN(2,FILE='PhaseSpace_b3.dat', STATUS='UNKNOWN')
     ELSE IF(j.EQ.2) THEN
        K2=0.21; nic=16
        OPEN(1,FILE='IC_c3.dat', STATUS='OLD')
        OPEN(2,FILE='PhaseSpace_c3.dat', STATUS='UNKNOWN')
     ELSE IF(j.EQ.3) THEN
        K2=0.3; nic=11
        OPEN(1,FILE='IC_d3.dat', STATUS='OLD')
        OPEN(2,FILE='PhaseSpace_d3.dat', STATUS='UNKNOWN')
     END IF
     !
     IC: DO i=1,nic !Initial conditions
        READ(1,*) x00,y00,color
        x0=x00;y0=y00
        TIME: DO n=1,nfinal !Time evolution
           yn=MOD(y0-K1/(2.0*m1*pi)*SIN(2.0*pi*m1*x0)-K2/(2.0*m2*pi)*SIN(2.0*m2*pi*x0+phi),1.0)
           IF(yn.LT.-0.50) yn=yn+1.0
           IF(yn.GT.0.50) yn=yn-1.0
           !
           xn=MOD(x0+yn,1.0)
           IF(xn.LT.-0.50) xn=xn+1.0
           IF(xn.GT.0.50) xn=xn-1.0
           !
           WRITE(2,*) xn,yn,color
           x0=xn; y0=yn           
        END DO TIME
     END DO IC
     CLOSE(2)
  END DO
END PROGRAM MAIN
